groovy.json.internal

## Class MapItemValue

- java.lang.Object
- - groovy.json.internal.MapItemValue

- All Implemented Interfaces:
    java.util.Map.Entry<java.lang.String,Value>

      public class MapItemValue
      extends java.lang.Object
      implements java.util.Map.Entry<java.lang.String,Value>

  This holds a mapping from value key to value value to maximize laziness.
  Author:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.concurrent.ConcurrentHashMap<java.lang.String,java.lang.String>` | `internedKeysCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapItemValue(Value name, Value value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `Value` | `getValue()`
    `Value` | `setValue(Value value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue, equals, hashCode`

- - ### Field Detail

    - #### internedKeysCache

          protected static java.util.concurrent.ConcurrentHashMap<java.lang.String,java.lang.String> internedKeysCache

  - ### Constructor Detail

    - #### MapItemValue

          public MapItemValue(Value name,
                              Value value)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<java.lang.String,Value>`

    - #### getValue

          public Value getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<java.lang.String,Value>`

    - #### setValue

          public Value setValue(Value value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<java.lang.String,Value>`